<?php
// DeCode by 金三胖 http://www.360.com.sb
if( !defined("WHMCS") ) 
{
    exit( "This file cannot be accessed directly" );
}

function hourlybilling_config()
{
    $configarray = array( "name" => "Hourly Billing", "description" => "Module for billing products hourly", "version" => "0.0.3", "author" => "CNUK Hosting", "language" => "english", "fields" => array( "hb_licence" => array( "FriendlyName" => "Licence Key", "Type" => "text", "Size" => "25", "Description" => "License Nulled By www.360.com.sb" ) ) );
    return $configarray;
}

function hourlybilling_activate()
{
    $query = "CREATE TABLE IF NOT EXISTS `mod_hb_settings` (\n\t\t\t  `id` int(11) NOT NULL AUTO_INCREMENT,\n\t\t\t  `setting` varchar(255) NOT NULL,\n\t\t\t  `value` varchar(255) NOT NULL,\n\t\t\t  PRIMARY KEY (`id`)\n\t\t\t) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=2\n\t\t\t";
    $result = full_query($query);
    $query = "INSERT INTO `mod_hb_settings` (`id`, `setting`, `value`) VALUES (1, 'localkey', '')";
    $result = full_query($query);
    $query = "INSERT INTO `mod_hb_settings` (`id`, `setting`, `value`) VALUES (2, 'disable_ssl', 'no')";
    $result = full_query($query);
    $query = "INSERT INTO `mod_hb_settings` (`id`, `setting`, `value`) VALUES (3, 'min_charge', '1')";
    $result = full_query($query);
    $query = "INSERT INTO `mod_hb_settings` (`id`, `setting`, `value`) VALUES (4, 'require_credit', 'yes')";
    $result = full_query($query);
    $query = "INSERT INTO `mod_hb_settings` (`id`, `setting`, `value`) VALUES (5, 'grace', '0.00')";
    $result = full_query($query);
    $query = "INSERT INTO `mod_hb_settings` (`id`, `setting`, `value`) VALUES (6, 'low_credit', '2.50')";
    $result = full_query($query);
    $query = "INSERT INTO `mod_hb_settings` (`id`, `setting`, `value`) VALUES (7, 'invoice_day', '1')";
    $result = full_query($query);
    $todaysdate = getTodaysDate();
    $todaysdate = toMySQLDate($todaysdate);
    $query = "INSERT INTO `mod_hb_settings` (`id`, `setting`, `value`) VALUES (8, 'last_invoiced', '" . $todaysdate . "')";
    $result = full_query($query);
    $query = "INSERT INTO `mod_hb_settings` (`id`, `setting`, `value`) VALUES (9, 'enable_log', 'no')";
    $result = full_query($query);
    $query = "CREATE TABLE IF NOT EXISTS `mod_hb_products` (\n\t\t\t  `id` int(11) NOT NULL AUTO_INCREMENT,\n\t\t\t  `product_id` varchar(255) NOT NULL,\n\t\t\t  `enabled` varchar(255) NOT NULL,\n\t\t\t  `hourly_cost` varchar(255) NOT NULL,\n\t\t\t  `monthly_limit` varchar(255) NOT NULL,\n\t\t\t  PRIMARY KEY (`id`)\n\t\t\t) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=2\n\t\t\t";
    $result = full_query($query);
    $query = "CREATE TABLE IF NOT EXISTS `mod_hb_services` (\n\t\t\t  `id` int(11) NOT NULL AUTO_INCREMENT,\n\t\t\t  `service_id` varchar(255) NOT NULL,\n\t\t\t  `user_id` varchar(255) NOT NULL,\n\t\t\t  `total_hours` varchar(255) NOT NULL,\n\t\t\t  `total_hours_invoiced` varchar(255) NOT NULL,\n\t\t\t  `next_invoice_hours` varchar(255) NOT NULL,\n\t\t\t  `service_min_charge` varchar(255) NOT NULL,\n\t\t\t  `next_invoice_amount` varchar(255) NOT NULL,\n\t\t\t  `credit_reserved` varchar(255) NOT NULL,\n\t\t\t  `last_warning` varchar(255) NOT NULL,\n\t\t\t  `last_invoice` varchar(255) NOT NULL,\n\t\t\t  PRIMARY KEY (`id`)\n\t\t\t) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=2\n\t\t\t";
    $result = full_query($query);
    return array( "status" => "success", "description" => "Hourly Billing has been setup properly. " );
}

function hourlybilling_deactivate()
{
    $query = "DROP TABLE `mod_hb_settings`;";
    $result = full_query($query);
    $query = "DROP TABLE `mod_hb_products`;";
    $result = full_query($query);
    $query = "DROP TABLE `mod_hb_services`;";
    $result = full_query($query);
    return array( "status" => "success", "description" => "Hourly Billing has been removed properly. " );
}

function hourlybilling_upgrade($vars)
{
    $version = $vars["version"];
}

function hourlybilling_output($vars)
{
    $modulelink = $vars["modulelink"];
    $version = $vars["version"];
    $hb_licence = $vars["hb_licence"];
    $currentversion = $vars["version"];
    $result = select_query("mod_hb_settings", "", array( "setting" => "disable_ssl" ));
    $data = mysql_fetch_array($result);
    $disable_ssl = $data["value"];
    $result = select_query("tblcurrencies", "", array( "default" => "1" ));
    $data = mysql_fetch_array($result);
    $currency_code = $data["code"];
    $currency_prefix = $data["prefix"];
    $currency_suffix = $data["suffix"];
    $usersip = (isset($_SERVER["SERVER_ADDR"]) ? $_SERVER["SERVER_ADDR"] : $_SERVER["LOCAL_ADDR"]);
    $domain = $_SERVER["SERVER_NAME"];
    $dir = dirname(__FILE__);
    if( function_exists("curl_exec") ) 
    {
        $curl_check = "<span>Yes</span>";
    }
    else
    {
        $curl_check = "<span style=\"color:red; font-weight:bold;\">No</span>";
    }

    if( $currentversion == $version ) 
    {
        $version_colour = "<span style=\"color:green;\">" . $version . "</span>";
    }
    else
    {
        $version_colour = "<span style=\"color:red; font-weight:bold;\">" . $version . "</span>";
    }

    $result = select_query("mod_hb_settings", "", array( "setting" => "localkey" ));
    $data = mysql_fetch_array($result);
    $hb_localkey = $data["value"];
    $check_license = hourlybilling_check_license($hb_licence, $hb_localkey);
    if( $check_license["status"] == "Active" ) 
    {
        update_query("mod_hb_settings", array( "value" => $check_license["localkey"] ), array( "setting" => "localkey" ));
        $licence_status = "<span style=\"color:green;\">Active</span>";
    }
    else
    {
        $licence_status = "<span style=\"color:red;\">" . $check_license["status"] . " " . $check_license["description"] . "</span>";
    }

    echo "<div id=\"clienttabs\">\n\t\t\t\t<ul>\n\t\t\t\t\t<li class=\"tab" . (($_GET["tab"] == "" ? "selected" : "")) . "\"><a href=\"" . $modulelink . "\">Module Info</a></li>\n\t\t\t\t\t<li class=\"tab" . (($_GET["tab"] == "products" ? "selected" : "")) . "\"><a href=\"" . $modulelink . "&amp;tab=products\">Products</a></li>\n\t\t\t\t\t<li class=\"tab" . (($_GET["tab"] == "services" ? "selected" : "")) . "\"><a href=\"" . $modulelink . "&amp;tab=services\">Services</a></li>\n\t\t\t\t</ul>\n\t\t\t</div>";
    switch( $_GET["tab"] ) 
    {
        case "products":
            if( $check_license["status"] == "Active" ) 
            {
                $command = "getproducts";
                $adminuser = 1;
                $results = localAPI($command, null, $adminuser);
                if( $_POST["action"] == "saveproducts" ) 
                {
                    $trun_query = "TRUNCATE TABLE mod_hb_products";
                    $truncate = full_query($trun_query);
                    foreach( $_POST["data"] as $pid => $product ) 
                    {
                        $saveproducts[$pid]["pid"] = $pid;
                        if( empty($product["enabled"]) ) 
                        {
                            $saveproducts[$pid]["enabled"] = "no";
                            $saveproducts[$pid]["hourly"] = $product["hourly"];
                            $saveproducts[$pid]["monthly"] = $product["monthly"];
                        }
                        else
                        {
                            $saveproducts[$pid]["enabled"] = $product["enabled"];
                            if( empty($product["hourly"]) ) 
                            {
                                $saveproducts[$pid]["hourly"] = "0.01";
                            }
                            else
                            {
                                $saveproducts[$pid]["hourly"] = $product["hourly"];
                            }

                            if( empty($product["monthly"]) ) 
                            {
                                $saveproducts[$pid]["monthly"] = "0.01";
                            }
                            else
                            {
                                $saveproducts[$pid]["monthly"] = $product["monthly"];
                            }

                        }

                        $values = array( "product_id" => $saveproducts[$pid]["pid"], "enabled" => $saveproducts[$pid]["enabled"], "hourly_cost" => $saveproducts[$pid]["hourly"], "monthly_limit" => $saveproducts[$pid]["monthly"] );
                        $newid = insert_query("mod_hb_products", $values);
                    }
                    echo "<p><span style=\"color:green;\">Products saved!</span></p>";
                }

                $select_products = select_query("mod_hb_products", "product_id,enabled,hourly_cost,monthly_limit");
                while( $products_data = mysql_fetch_array($select_products) ) 
                {
                    $product_id = $products_data["product_id"];
                    $all_products[$product_id]["enabled"] = $products_data["enabled"];
                    $all_products[$product_id]["hourly_cost"] = $products_data["hourly_cost"];
                    $all_products[$product_id]["monthly_limit"] = $products_data["monthly_limit"];
                }
                if( $results["result"] == "success" ) 
                {
                    echo "<form action=\"\" method=\"post\"><input type=\"hidden\" name=\"action\" value=\"saveproducts\"><div style=\"text-align: left;background-color: whiteSmoke;margin: 0px;padding: 10px;\"><table width=\"100%\"><thead><tr><th>Group</th><th>Product</th><th>Module</th><th>Enabled</th><th>Hourly Cost</th><th>Monthly Limit</th></tr></thead><tbody><p style=\"color:red;\">WARNING: PLEASE TAKE CARE WHEN ENABLING ANY PRODUCTS THAT ALREADY HAVE ACTIVE SERVICES!<br>If you do then they will be billed for the total amount of hours since the order was placed.</p><p><small>If you do need to do this: <ol><li>1) disable require credit (if you don't their service may be terminated)</li><li>2) enable hourly billing</li><li>3) wait for cron to run, then manually set the next invoice amount to 0 for each service</li><li>4) re-enable require credit</li></ol></small></p><hr/>";
                    foreach( $results["products"]["product"] as $product ) 
                    {
                        $allprod = $all_products[$product["pid"]];
                        echo "<tr>\n\t\t\t\t\t\t\t\t<td>" . $product["gid"] . "</td>\n\t\t\t\t\t\t\t\t<td>" . $product["name"] . "</td>\n\t\t\t\t\t\t\t\t<td>" . $product["module"] . "</td>\n\t\t\t\t\t\t\t\t<td><input type=\"checkbox\" value=\"yes\" name=\"data[" . $product["pid"] . "][enabled]\"";
                        if( $allprod["enabled"] == "yes" ) 
                        {
                            echo "checked=\"checked\"";
                        }

                        echo "></td>\n\t\t\t\t\t\t\t\t<td>\n\t\t\t\t\t\t\t\t\t<input type=\"text\" placeholder=\"0.15\" value=\"" . $allprod["hourly_cost"] . "\" name=\"data[" . $product["pid"] . "][hourly]\">" . $currency_code . "\n\t\t\t\t\t\t\t\t</td>\n\t\t\t\t\t\t\t\t<td>\n\t\t\t\t\t\t\t\t\t<input type=\"text\" placeholder=\"10.00\" value=\"" . $allprod["monthly_limit"] . "\" name=\"data[" . $product["pid"] . "][monthly]\">" . $currency_code . "\n\t\t\t\t\t\t\t\t</td>\n\t\t\t\t\t\t\t</tr>";
                    }
                    echo "</tbody></table></div><p align=\"center\"><input type=\"submit\" class=\"button\" value=\"Save All\"></p></form>";
                }
                else
                {
                    echo "Products API error";
                }

            }
            else
            {
                echo "Please activate your licence!";
            }

            break;
        case "services":
            if( $check_license["status"] == "Active" ) 
            {
                if( $_POST["action"] == "saveservice" ) 
                {
                    update_query("mod_hb_services", array( "next_invoice_amount" => $_POST["next_invoice_amount"] ), array( "service_id" => $_POST["serviceid"] ));
                    echo "<p><span style=\"color:green;\">Service " . $_POST["serviceid"] . " saved!</span></p>";
                }

                echo "<div style=\"text-align: left;background-color: whiteSmoke;margin: 0px;padding: 10px;\"><table width=\"100%\"><thead><tr><th>User</th><th>Service</th><th>Total: Hours</th><th>Total Invoiced: Hours</th><th>Next Invoice: Hours</th><th>Next Invoice: Amount</th><th>Credit Reserved</th><th>Status</th></tr></thead><tbody>";
                $select_services = select_query("mod_hb_services", "service_id,user_id,total_hours,total_hours_invoiced,next_invoice_hours,service_min_charge,next_invoice_amount,credit_reserved");
                while( $services_data = mysql_fetch_array($select_services) ) 
                {
                    $user = localAPI("getclientsdetails", array( "clientid" => $services_data["user_id"], "stats" => false, "responsetype" => "xml" ), 1);
                    $client_name = $user["client"]["firstname"] . " " . $user["client"]["lastname"];
                    $select_service = select_query("tblhosting", "packageid,domainstatus", array( "id" => $services_data["service_id"] ));
                    $service_data = mysql_fetch_array($select_service);
                    $product_info = localAPI("getproducts", array( "pid" => $service_data["packageid"] ), 1);
                    $product_name = $product_info["products"]["product"][0]["name"];
                    echo "<tr><form action=\"\" method=\"post\"><input type=\"hidden\" name=\"action\" value=\"saveservice\">";
                    echo "<input type=\"hidden\" name=\"serviceid\" value=\"" . $services_data["service_id"] . "\">";
                    echo "<td><a href=\"clientssummary.php?userid=" . $services_data["user_id"] . "\">" . $client_name . "</a></td>";
                    echo "<td><a href=\"clientsservices.php?userid=" . $services_data["user_id"] . "&id=" . $services_data["service_id"] . "\">" . $product_name . "</a></td>";
                    echo "<td>" . $services_data["total_hours"] . "</td>";
                    echo "<td>" . $services_data["total_hours_invoiced"] . "</td>";
                    echo "<td>" . $services_data["next_invoice_hours"] . "</td>";
                    echo "<td><input type=\"text\" name=\"next_invoice_amount\" value=\"" . $services_data["next_invoice_amount"] . "\">" . $currency_code . "</td>";
                    echo "<td>" . $services_data["credit_reserved"] . $currency_code . "</td>";
                    echo "<td>" . $service_data["domainstatus"] . "</td>";
                    echo "<td><input type=\"submit\" class=\"button\" value=\"Save\"></td></form></tr>";
                }
                echo "</tbody></table></div>";
            }
            else
            {
                echo "Please activate your licence!";
            }

            break;
        default:
            echo "<h4>Module Info</h4>\n\t\t   \t\t<div style=\"text-align: left;background-color: whiteSmoke;margin: 0px;padding: 10px;\">\n\t\t\t\t\t<table class=\"form\" width=\"100%\" border=\"0\" cellspacing=\"2\" cellpadding=\"3\">\n\t\t\t\t\t\t<tbody>\n\t\t\t\t\t\t\t<tr>\n\t\t\t\t\t\t\t\t<td class=\"fieldlabel\" width=\"30%\"><strong>Licence Key</strong></td>\n\t\t\t\t\t\t\t\t<td class=\"fieldarea\">" . $hb_licence . "</td>\n\t\t\t\t\t\t\t</tr>\n\t\t\t\t\t\t\t<tr>\n\t\t\t\t\t\t\t\t<td class=\"fieldlabel\" width=\"30%\"><strong>Licence Status</strong></td>\n\t\t\t\t\t\t\t\t<td class=\"fieldarea\">" . $licence_status . "</td>\n\t\t\t\t\t\t\t</tr>\n\t\t\t\t\t\t</tbody>\n\t\t\t\t\t</table>\n\t\t\t\t</div>";
            echo "<h4>Version Check</h4>\n\t\t\t\t<div style=\"text-align: left;background-color: whiteSmoke;margin: 0px;padding: 10px;\">\n\t\t\t\t\t<table class=\"form\" width=\"100%\" border=\"0\" cellspacing=\"2\" cellpadding=\"3\">\n\t\t\t\t\t\t<tbody>\n\t\t\t\t\t\t\t<tr>\n\t\t\t\t\t\t\t\t<td class=\"fieldlabel\" width=\"30%\"><strong>Your Version</strong></td>\n\t\t\t\t\t\t\t\t<td class=\"fieldarea\">" . $version_colour . "</td>\n\t\t\t\t\t\t\t</tr>\n\t\t\t\t\t\t\t<tr>\n\t\t\t\t\t\t\t\t<td class=\"fieldlabel\" width=\"30%\"><strong>Current Version</strong></td>\n\t\t\t\t\t\t\t\t<td class=\"fieldarea\">" . $currentversion . "</td>\n\t\t\t\t\t\t\t</tr>\n\t\t\t\t\t\t</tbody>\n\t\t\t\t\t</table>\n\t\t\t\t</div>";
            echo "<h4>Server Check</h4>\n\t\t\t\t<div style=\"text-align: left;background-color: whiteSmoke;margin: 0px;padding: 10px;\">\n\t\t\t\t\t<table class=\"form\" width=\"100%\" border=\"0\" cellspacing=\"2\" cellpadding=\"3\">\n\t\t\t\t\t\t<tbody>\n\t\t\t\t\t\t\t<tr>\n\t\t\t\t\t\t\t\t<td class=\"fieldlabel\" width=\"30%\"><strong>cURL Enabled</strong></td>\n\t\t\t\t\t\t\t\t<td class=\"fieldarea\">" . $curl_check . "</td>\n\t\t\t\t\t\t\t</tr>\n\t\t\t\t\t\t\t<tr>\n\t\t\t\t\t\t\t\t<td class=\"fieldlabel\" width=\"30%\"><strong>IP</strong></td>\n\t\t\t\t\t\t\t\t<td class=\"fieldarea\">" . $usersip . "</td>\n\t\t\t\t\t\t\t</tr>\n\t\t\t\t\t\t\t<tr>\n\t\t\t\t\t\t\t\t<td class=\"fieldlabel\" width=\"30%\"><strong>Domain</strong></td>\n\t\t\t\t\t\t\t\t<td class=\"fieldarea\">" . $domain . "</td>\n\t\t\t\t\t\t\t</tr>\n\t\t\t\t\t\t\t<tr>\n\t\t\t\t\t\t\t\t<td class=\"fieldlabel\" width=\"30%\"><strong>Dir</strong></td>\n\t\t\t\t\t\t\t\t<td class=\"fieldarea\">" . $dir . "</td>\n\t\t\t\t\t\t\t</tr>";
            if( isset($check_license["curl_error"]) && $check_license["curl_error"] != "None" ) 
            {
                echo "<tr>\n\t\t\t\t\t\t\t\t\t\t<td class=\"fieldlabel\" width=\"30%\"><strong>cURL Error</strong></td>\n\t\t\t\t\t\t\t\t\t\t<td class=\"fieldarea\">" . $check_license["curl_error"] . "</td>\n\t\t\t\t\t\t\t\t\t</tr>";
            }

            echo "</tbody>\n\t\t\t\t\t</table>\n\t\t\t\t</div>";
            if( $_POST["action"] == "save" ) 
            {
                update_query("mod_hb_settings", array( "value" => $_POST["disable_ssl"] ), array( "setting" => "disable_ssl" ));
                update_query("mod_hb_settings", array( "value" => $_POST["min_charge"] ), array( "setting" => "min_charge" ));
                update_query("mod_hb_settings", array( "value" => $_POST["require_credit"] ), array( "setting" => "require_credit" ));
                update_query("mod_hb_settings", array( "value" => $_POST["grace"] ), array( "setting" => "grace" ));
                update_query("mod_hb_settings", array( "value" => $_POST["low_credit"] ), array( "setting" => "low_credit" ));
                update_query("mod_hb_settings", array( "value" => $_POST["invoice_day"] ), array( "setting" => "invoice_day" ));
                update_query("mod_hb_settings", array( "value" => $_POST["enable_log"] ), array( "setting" => "enable_log" ));
            }

            $result = select_query("mod_hb_settings", "", array( "setting" => "disable_ssl" ));
            $data = mysql_fetch_array($result);
            $disable_ssl = $data["value"];
            $result = select_query("mod_hb_settings", "", array( "setting" => "min_charge" ));
            $data = mysql_fetch_array($result);
            $min_charge = $data["value"];
            $result = select_query("mod_hb_settings", "", array( "setting" => "require_credit" ));
            $data = mysql_fetch_array($result);
            $require_credit = $data["value"];
            $result = select_query("mod_hb_settings", "", array( "setting" => "grace" ));
            $data = mysql_fetch_array($result);
            $grace = $data["value"];
            $result = select_query("mod_hb_settings", "", array( "setting" => "low_credit" ));
            $data = mysql_fetch_array($result);
            $low_credit = $data["value"];
            $result = select_query("mod_hb_settings", "", array( "setting" => "invoice_day" ));
            $data = mysql_fetch_array($result);
            $invoice_day = $data["value"];
            $result = select_query("mod_hb_settings", "", array( "setting" => "enable_log" ));
            $data = mysql_fetch_array($result);
            $enable_log = $data["value"];
            echo "<h4>Settings</h4>\n\t\t\t\t<form action=\"\" method=\"post\">\n\t\t\t\t<input type=\"hidden\" name=\"action\" value=\"save\">\n\t\t\t\t<div style=\"text-align: left;background-color: whiteSmoke;margin: 0px;padding: 10px;\">\n\t\t\t\t\t<table class=\"form\" width=\"100%\" border=\"0\" cellspacing=\"2\" cellpadding=\"3\">\n\t\t\t\t\t\t<tbody>\n\t\t\t\t\t\t\t<tr>\n\t\t\t\t\t\t\t\t<td class=\"fieldlabel\" width=\"30%\"><strong>Disable SSL</strong></td>\n\t\t\t\t\t\t\t\t<td class=\"fieldarea\"><label><input type=\"checkbox\" name=\"disable_ssl\" value=\"yes\"";
            if( $disable_ssl == "yes" ) 
            {
                echo "checked=\"checked\"";
            }

            echo "> If you receive cURL SSL error tick this box</label></td>\n\t\t\t\t\t\t\t</tr>\n\t\t\t\t\t\t\t<tr>\n\t\t\t\t\t\t\t\t<td class=\"fieldlabel\" width=\"30%\"><strong>Minimum Charge</strong></td>\n\t\t\t\t\t\t\t\t<td class=\"fieldarea\"><label><input type=\"text\" name=\"min_charge\" value=\"" . $min_charge . "\" size=\"3\">hour(s)</label></td>\n\t\t\t\t\t\t\t</tr>\n\t\t\t\t\t\t\t<tr>\n\t\t\t\t\t\t\t\t<td class=\"fieldlabel\" width=\"30%\"><strong>Require Credit</strong></td>\n\t\t\t\t\t\t\t\t<td class=\"fieldarea\"><label><input type=\"checkbox\" name=\"require_credit\" value=\"yes\"";
            if( $require_credit == "yes" ) 
            {
                echo "checked=\"checked\"";
            }

            echo "> Pre-pay or Post-pay?</label></td>\n\t\t\t\t\t\t\t</tr>\n\t\t\t\t\t\t\t<tr>\n\t\t\t\t\t\t\t\t<td class=\"fieldlabel\" width=\"30%\"><strong>Grace</strong></td>\n\t\t\t\t\t\t\t\t<td class=\"fieldarea\"><label>" . $currency_prefix . "<input type=\"text\" name=\"grace\" value=\"" . $grace . "\" size=\"5\"> If Pre-pay: If credit reaches 0, this is the amount a client is allowed to go past 0.</label></td>\n\t\t\t\t\t\t\t</tr>\n\t\t\t\t\t\t\t<tr>\n\t\t\t\t\t\t\t\t<td class=\"fieldlabel\" width=\"30%\"><strong>Low Credit</strong></td>\n\t\t\t\t\t\t\t\t<td class=\"fieldarea\"><label>" . $currency_prefix . "<input type=\"text\" name=\"low_credit\" value=\"" . $low_credit . "\" size=\"5\"> If Pre-pay: If credit drops below this a daily warning email will be sent (set to -1 to disable).</label></td>\n\t\t\t\t\t\t\t</tr>\n\t\t\t\t\t\t\t<tr>\n\t\t\t\t\t\t\t\t<td class=\"fieldlabel\" width=\"30%\"><strong>Invoice Day</strong></td>\n\t\t\t\t\t\t\t\t<td class=\"fieldarea\"><label><input type=\"text\" name=\"invoice_day\" value=\"" . $invoice_day . "\" size=\"3\"> Day of the month to invoice clients (between 1 and 28).</label></td>\n\t\t\t\t\t\t\t</tr>\n\t\t\t\t\t\t\t<tr>\n\t\t\t\t\t\t\t\t<td class=\"fieldlabel\" width=\"30%\"><strong>Enable Log</strong></td>\n\t\t\t\t\t\t\t\t<td class=\"fieldarea\"><label><input type=\"checkbox\" name=\"enable_log\" value=\"yes\"";
            if( $enable_log == "yes" ) 
            {
                echo "checked=\"checked\"";
            }

            echo "> Enable activity log for cron</label></td>\n\t\t\t\t\t\t\t</tr>\n\t\t\t\t\t\t\t</tbody>\n\t\t\t\t\t</table>\n\t\t\t\t</div>\n\t\t\t\t<div align=\"center\"><input type=\"submit\" value=\"Save Changes\" class=\"button\"></div>\n\t\t\t\t</form>";
    }
    echo "<div class=\"clear\"></div>";
}

function hourlybilling_sidebar($vars)
{
    $modulelink = $vars["modulelink"];
    $version = $vars["version"];
    $sidebar = "<span class=\"header\"><img src=\"images/icons/addonmodules.png\" class=\"absmiddle\" width=\"16\" height=\"16\" /> Hourly Billing</span>\n<ul class=\"menu\">\n        <li>Version: " . $version . "</li>\n    </ul>";
    return $sidebar;
}

function hourlybilling_check_license($licensekey, $localkey = "")
{
    $results["status"] == "Active";
    $results["description"] == "License Nulled By www.360.com.sb";
    return $results;
}


